%define gst_plugins gst-plugins
%define ver_major 0.10

Name: %gst_plugins-good
Version: %ver_major.6
Release: alt1

%def_disable debug
%def_disable static
%def_disable check

Summary: A set of GStreamer plugins considered good
Group: System/Libraries
License: LGPL
URL: http://gstreamer.freedesktop.org/

%def_enable aalib
%def_enable annodex
%def_enable cairo
%def_enable cdio
%def_enable dv1394
%def_enable esd
%def_enable flac
%def_enable gconf
%def_enable gdk_pixbuf
%def_enable hal
%def_enable jpeg
%def_enable ladspa
%def_enable libcaca
%def_enable libdv
%def_enable libpng
%def_enable oss
%def_enable shout2
%def_enable speex
%def_enable taglib
%def_enable x

%define _gst_libdir %_libdir/gstreamer-%ver_major
%define _gtk_docdir %_datadir/gtk-doc/html

%define gst_ver 0.10.13
%define gst_plugins_ver 0.10.13

Requires: lib%gst_plugins >= %gst_plugins_ver
Requires: gstreamer >= %gst_ver

Source0: http://gstreamer.freedesktop.org/src/%name/%name-%version.tar.bz2

Patch0: gst-plugins-good-0.10.5+flac-1.1.3.patch

# Automatically added by buildreq on Mon Sep 10 2007
#BuildRequires: GConf aalib-devel cvs gcc-c++ gcc-fortran glibc-devel-static gnome-libs-devel gst-plugins-devel gtk-doc imake ladspa_sdk libGConf-devel libSM-devel libXdamage-devel libXv-devel libavc1394-devel libcaca-devel libcdio-devel libdv-devel libflac-devel libgpm-devel libgtk+2-devel libhal-devel libiec61883-devel libjpeg-mmx-devel liboil-devel libshout2-devel libslang-devel libtag-devel python-module-PyXML python-modules-compiler python-modules-email python-modules-encodings python-modules-logging xorg-cf-files
BuildRequires: GConf aalib-devel cvs gcc-c++ gnome-libs-devel gst-plugins-devel gtk-doc imake ladspa_sdk libGConf-devel libSM-devel libXdamage-devel libXv-devel libavc1394-devel libcaca-devel libcdio-devel libdv-devel libflac-devel libgpm-devel libgtk+2-devel libhal-devel libiec61883-devel libjpeg-mmx-devel liboil-devel libshout2-devel libslang-devel libtag-devel python-module-PyXML python-modules-compiler python-modules-email python-modules-encodings python-modules-logging xorg-cf-files

BuildPreReq: gstreamer-devel >= %gst_ver
BuildPreReq: %gst_plugins-devel >= %gst_plugins_ver

%if_enabled aalib
BuildRequires: aalib-devel
BuildRequires: libgpm-devel libslang-devel xorg-x11-devel
%endif
%if_enabled cairo
BuildRequires: libcairo-devel
%endif
%if_enabled cdio
BuildRequires: libcdio-devel
%endif
%if_enabled dv1394
BuildRequires: libraw1394-devel
BuildRequires: libavc1394-devel libiec61883-devel
%endif
%if_enabled esd
BuildRequires: esound-devel
BuildRequires: libaudiofile-devel
%endif
%if_enabled flac
BuildRequires: libflac-devel
%endif
%if_enabled gconf
BuildRequires: GConf2 ORBit2-devel libGConf2-devel
%endif
%if_enabled hal
BuildRequires: libhal-devel
BuildRequires: libdbus-devel
%endif
%if_enabled jpeg
%ifarch %ix86
BuildRequires: libjpeg-mmx-devel
%else
BuildRequires: libjpeg-devel
%endif
%endif
%if_enabled ladspa
BuildRequires: ladspa_sdk
%endif
%if_enabled libcaca
BuildRequires: libcaca-devel libncurses-devel libslang-devel xorg-x11-devel
%endif
%if_enabled libdv
BuildRequires: libdv-devel
%endif
%if_enabled libpng
BuildRequires: libpng-devel
%endif
%if_enabled shout2
BuildRequires: libshout2-devel libvorbis-devel
%endif
%if_enabled speex
BuildRequires: libspeex-devel
%endif
%if_enabled taglib
BuildRequires: libtag-devel
%endif
%if_enabled x
BuildRequires: imake libXdamage-devel libXext-devel libXt-devel xorg-cf-files
%endif

%description
GStreamer Good Plug-ins is is a set of plug-ins that the developers consider
to have good quality code, correct functionality, and their preferred license
(LGPL for the plug-in code, LGPL or LGPL-compatible for the supporting
library).

%package devel-doc
Summary: Development documentation for GStreamer Base plugins
Group: Development/C

%description devel-doc
This package contains development documentation for GStreamer Base Plugins.

%package all
Summary: Full GStreamer Good Plugins collection
Group: System/Libraries
Requires: %name = %version-%release
Requires: %name-audio-filters = %version-%release
Requires: %name-audio-formats = %version-%release
Requires: %name-container-formats = %version-%release
Requires: %name-network = %version-%release
Requires: %name-tags = %version-%release
Requires: %name-test = %version-%release
Requires: %name-video-effects = %version-%release
Requires: %name-video-filters = %version-%release
Requires: %name-visualization = %version-%release
Requires: %gst_plugins-audiofx = %version-%release
%if_enabled aalib
Requires: %gst_plugins-aalib = %version-%release
%endif
%if_enabled annodex
Requires: %gst_plugins-annodex = %version-%release
%endif
%if_enabled cairo
Requires: %gst_plugins-cairo = %version-%release
%endif
%if_enabled cdio
Requires: %gst_plugins-cdio = %version-%release
%endif
%if_enabled dv1394
Requires: %gst_plugins-dv1394 = %version-%release
%endif
%if_enabled esd
Requires: %gst_plugins-esd = %version-%release
%endif
%if_enabled flac
Requires: %gst_plugins-flac = %version-%release
%endif
%if_enabled gconf
Requires: %gst_plugins-gconf = %version-%release
%endif
%if_enabled gdk_pixbuf
Requires: %gst_plugins-gdkpixbuf = %version-%release
%endif
%if_enabled hal
Requires: %gst_plugins-hal = %version-%release
%endif
%if_enabled jpeg
Requires: %gst_plugins-jpeg = %version-%release
%endif
%if_enabled ladspa
Requires: %gst_plugins-ladspa = %version-%release
%endif
%if_enabled libcaca
Requires: %gst_plugins-caca = %version-%release
%endif
%if_enabled libdv
Requires: %gst_plugins-dv = %version-%release
%endif
%if_enabled libpng
Requires: %gst_plugins-png = %version-%release
%endif
%if_enabled oss
Requires: %gst_plugins-oss = %version-%release
%endif
%if_enabled shout2
Requires: %gst_plugins-shout2 = %version-%release
%endif
%if_enabled speex
Requires: %gst_plugins-speex = %version-%release
%endif
%if_enabled taglib
Requires: %gst_plugins-taglib = %version-%release
%endif
%if_enabled x
Requires: %gst_plugins-ximagesrc = %version-%release
%endif

%description all
This umbrella package encompasses the full set of GStreamer Good plugins.

%package -n %gst_plugins-audiofx
Summary: GStreamer Good Audio effects plugin
Group: Sound
Requires: %name = %version-%release

%description -n %gst_plugins-audiofx
The GStreamer Good plugins that implement
positions audio streams in the stereo panorama.

%package audio-filters
Summary: GStreamer Good audio filter plugins
Group: Sound
Requires: %name = %version-%release

%description audio-filters
The GStreamer Good plugins that implement
various audio effects and conversions.

%package audio-formats
Summary: GStreamer Good audio codecs
Group: Sound
Requires: %name = %version-%release

%description audio-formats
The GStreamer Good plugins to encode and decode audio formats.

%package container-formats
Summary: GStreamer Good multiplexers/demultiplexers for media container formats
Group: System/Libraries
Requires: %name = %version-%release

%description container-formats
GStreamer Good plugins for multiplexing and demultiplexing media container
formats that can pack multiple video and/or audio streams.

%package network
Summary: GStreamer Good network protocol plugins
Group: Networking/Other
Requires: %name = %version-%release

%description network
GStreamer Good plugins that implement transfer over TCP/IP networks using
various protocols. Currently included are RTP, RTSP, and UDP plugins.

%package tags
Summary: GStreamer Good metadata tag plugins
Group: System/Libraries
Requires: %name = %version-%release

%description tags
GStreamer Good plugins for parsing metadata tags from media streams.

%package test
Summary: GStreamer Good debug and testing plugins
Group: System/Libraries
Requires: %name = %version-%release

%description test
GStreamer Good plugins that can be instrumental in testing and debugging
other plugins and pipelines.

%package video-effects
Summary: GStreamer Good plugins for video effects
Group: Video
Requires: %name = %version-%release

%description video-effects
The GStreamer Good plugins that provide entertaining, but non-essential
video effects.

%package video-filters
Summary: GStreamer Good video filter plugins
Group: Video
Requires: %name = %version-%release

%description video-filters
The GStreamer Good plugins that implement
various video effects and conversions.

%package visualization
Summary: GStreamer Good visualization plugins
Group: Sound
Requires: %name = %version-%release

%description visualization
The GStreamer Good plugins implementing visual effects to accompany
audio streams. Currently includes Goom.

%package -n %gst_plugins-aalib
Summary: GStreamer plugin for ASCII-art output
Group: Video
Requires: %name = %version-%release

%description -n %gst_plugins-aalib
GStreamer plugin for viewing movies in ASCII art using the aalib library.

%package -n %gst_plugins-annodex
Summary: GStreamer plugin for Annodex stream manipulation
Group: System/Libraries
Requires: %name = %version-%release

%description -n %gst_plugins-annodex
GStreamer plugin to encode and decode Annodex stream metadata
(see http://www.annodex.net).

%package -n %gst_plugins-cairo
Summary: GStreamer output plugin for Cairo
Group: Video
Requires: %name = %version-%release

%description -n %gst_plugins-cairo
Gstreamer video output plugin using the Cairo graphics library.

%package -n %gst_plugins-cdio
Summary: GStreamer CD audio input plugin using libcdio
Group: Sound
Requires: %name = %version-%release

%description -n %gst_plugins-cdio
Gstreamer CD audio input plugin using the libcdio library.

%package -n %gst_plugins-dv
Summary: GStreamer DV decoder
Group: Video
Requires: %name = %version-%release

%description -n %gst_plugins-dv
GStreamer plugin for decoding DV streams.

%package -n %gst_plugins-dv1394
Summary: GStreamer plugin to access FireWire connections
Group: System/Libraries
Requires: %name = %version-%release

%description -n %gst_plugins-dv1394
Gstreamer plugin for direct audio and video transfer using IEEE1394 (FireWire)
connections.

%package -n %gst_plugins-esd
Summary: GStreamer plugin for ESD sound output
Group: Sound
Requires: %name = %version-%release

%description -n %gst_plugins-esd
Output plugin for GStreamer for use with Enlightened Sound Daemon.

%package -n %gst_plugins-flac
Summary: GStreamer FLAC codec
Group: Sound
Requires: %name = %version-%release

%description -n %gst_plugins-flac
GStreamer encoder and decoder for FLAC, a free lossless audio format.

%package -n %gst_plugins-gconf
Summary: GStreamer wrappers for GConf settings
Group: System/Libraries
Requires: %name = %version-%release
Requires(post,preun): GConf2

%description -n %gst_plugins-gconf
GStreamer elements wrapping the GStreamer/GConf audio/video output settings.
This package also installs schemas that provide the CConf settings.

%package -n %gst_plugins-gdkpixbuf
Summary: GStreamer plugin for decoding images
Group: Video
Requires: %name = %version-%release

%description -n %gst_plugins-gdkpixbuf
GStreamer plugin for decoding images in a video stream using GdkPixbuf.

%package -n %gst_plugins-hal
Summary: GStreamer plugin for HAL managed audio input/output devices
Group: Sound
Requires: %name = %version-%release
Provides: gstreamer(audio-hardware-source) = %version
Provides: gstreamer(audio-hardware-sink) = %version

%description -n %gst_plugins-hal
GStreamer plugin that provides wrapper elements for audio input/output devices
resolved via HAL.

%package -n %gst_plugins-jpeg
Summary: GStreamer plugin for JPEG images
Group: System/Libraries
Requires: %name = %version-%release

%description -n %gst_plugins-jpeg
GStreamer plugin to encode and decode JPEG images.

%package -n %gst_plugins-ladspa
Summary: GStreamer plugin for LADSPA
Group: Sound
Requires: %name = %version-%release

%description -n %gst_plugins-ladspa
Plugin which wraps LADSPA plugins for use by GStreamer applications.

%package -n %gst_plugins-caca
Summary: GStreamer plugin for color ASCII-art output
Group: Video
Requires: %name = %version-%release

%description -n %gst_plugins-caca
Plugin for viewing movies in color ASCII art using the libcaca library.

%package -n %gst_plugins-png
Summary: GStreamer plugin for PNG images
Group: System/Libraries
Requires: %name = %version-%release

%description -n %gst_plugins-png
GStreamer plugin to decode and encode PNG images.

%package -n %gst_plugins-oss
Summary: GStreamer OSS plugin
Group: Sound
Requires: %name = %version-%release
Provides: gstreamer(audio-hardware-source) = %version
Provides: gstreamer(audio-hardware-sink) = %version

%description -n %gst_plugins-oss
OSS (Open Sound System) support for GStreamer.

%package -n %gst_plugins-shout2
Summary: GStreamer Icecast 2 broadcasting plugin
Group: Sound
Requires: %name = %version-%release

%description -n %gst_plugins-shout2
Plugin for sending audio to the Icecast broadcasting server.

%package -n %gst_plugins-speex
Summary: GStreamer Speex codec
Group: Sound
Requires: %name = %version-%release

%description -n %gst_plugins-speex
Plugin for encoding and decoding Speex voice audio.

%package -n %gst_plugins-taglib
Summary: GStreamer tag formatter using TagLib
Group: Sound
Requires: %name = %version-%release

%description -n %gst_plugins-taglib
GStreamer plugin to add ID3v2 tags to MP3 streams using TagLib.

%package -n %gst_plugins-ximagesrc
Summary: GStreamer plugin for video screenshot capture
Group: Video
Requires: %name = %version-%release

%description -n %gst_plugins-ximagesrc
GStreamer plugin that captures X Display and creates raw RGB video.
It uses the XDamage extension if available to only capture areas of the screen
that have changed since the last frame.  It uses the XFixes extension if
available to also capture the mouse pointer.

%prep
%setup -q
#patch0 -p1
%__rm -f COPYING
%__ln_s %_licensedir/LGPL-2.1 COPYING
%__bzip2 -k ChangeLog

%build
NOCONFIGURE=1 ./autogen.sh

export VALGRIND_PATH=%_bindir/valgrind
%ifarch %ix86
export CPPFLAGS="$CPPFLAGS -I%_includedir/jpeg-mmx"
%endif
%configure \
    --disable-schemas-install \
    --disable-examples \
    --disable-valgrind \
    --enable-gtk-doc \
    %{subst_enable debug} \
    %{subst_enable static} \
    \
    %{subst_enable aalib} \
    %{subst_enable annodex} \
    %{subst_enable cairo} \
    %{subst_enable cdio} \
    %{subst_enable dv1394} \
    %{subst_enable esd} \
    %{subst_enable flac} \
    %{subst_enable gconf} \
    %{subst_enable gdk_pixbuf} \
    %{subst_enable hal} \
    %{subst_enable jpeg} \
    %{subst_enable ladspa} \
    %{subst_enable libcaca} \
    %{subst_enable libdv} \
    %{subst_enable libpng} \
    %{subst_enable oss} \
    %{subst_enable shout2} \
    %{subst_enable speex} \
    %{subst_enable taglib} \
%if_disabled x
    --disable-x \
    --disable-xshm \
%endif
    --with-html-dir=%_gtk_docdir
%make_build

%if_enabled ladspa
pushd ext/ladspa/
%make_build
popd
%endif

%if_enabled check
%make check
%endif

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%make_install DESTDIR=%buildroot install
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

%if_enabled ladspa
pushd ext/ladspa/
%make_install DESTDIR=%buildroot install
popd
%endif


# remove non-packaged files
%__rm -f %buildroot%_gst_libdir/*.la

%find_lang %name-%ver_major

%files -f %name-%ver_major.lang
%doc AUTHORS ChangeLog.bz2 NEWS README RELEASE
%doc --no-dereference COPYING

%files -n %gst_plugins-audiofx
%_gst_libdir/libgstaudiofx.so

%files audio-filters
%_gst_libdir/libgstcutter.so
%_gst_libdir/libgstlevel.so

%files audio-formats
%_gst_libdir/libgstalaw.so
%_gst_libdir/libgstauparse.so
%_gst_libdir/libgstflxdec.so
%_gst_libdir/libgstmulaw.so
%_gst_libdir/libgstwavenc.so
%_gst_libdir/libgstwavparse.so

%files container-formats
%_gst_libdir/libgstavi.so
%_gst_libdir/libgsticydemux.so
%_gst_libdir/libgstmatroska.so
%_gst_libdir/libgstmultipart.so
%_gst_libdir/libgstqtdemux.so

%files network
%_gst_libdir/libgstrtp.so
%_gst_libdir/libgstrtsp.so
%_gst_libdir/libgstudp.so

%files tags
%_gst_libdir/libgstapetag.so
%_gst_libdir/libgstid3demux.so

%files test
%_gst_libdir/libgstdebug.so
%_gst_libdir/libgstefence.so
%_gst_libdir/libgstnavigationtest.so

%files video-effects
%_gst_libdir/libgsteffectv.so

%files video-filters
%_gst_libdir/libgstalpha*.so
%_gst_libdir/libgstsmpte.so
%_gst_libdir/libgstvideo*.so
%_gst_libdir/libgstgamma.so

%files visualization
%_gst_libdir/libgstgoom.so

%files devel-doc
%_gtk_docdir/*

%files all

%if_enabled aalib
%files -n %gst_plugins-aalib
%_gst_libdir/libgstaasink.so
%endif

%if_enabled annodex
%files -n %gst_plugins-annodex
%_gst_libdir/libgstannodex.so
%endif

%if_enabled libdv
%files -n %gst_plugins-dv
%_gst_libdir/libgstdv.so
%endif

%if_enabled cairo
%files -n %gst_plugins-cairo
%_gst_libdir/libgstcairo.so
%endif

%if_enabled cdio
%files -n %gst_plugins-cdio
%_gst_libdir/libgstcdio.so
%endif

%if_enabled dv1394
%files -n %gst_plugins-dv1394
%_gst_libdir/libgst1394.so
%endif

%if_enabled esd
%files -n %gst_plugins-esd
%_gst_libdir/libgstesd.so
%endif

%if_enabled gconf
%files -n %gst_plugins-gconf
%_gst_libdir/libgstgconfelements.so
%_gst_libdir/libgstautodetect.so
%endif

%if_enabled gdk_pixbuf
%files -n %gst_plugins-gdkpixbuf
%_gst_libdir/libgstgdkpixbuf.so
%endif

%if_enabled hal
%files -n %gst_plugins-hal
%_gst_libdir/libgsthalelements.so
%endif

%if_enabled flac
%files -n %gst_plugins-flac
%_gst_libdir/libgstflac.so
%endif

%if_enabled jpeg
%files -n %gst_plugins-jpeg
%_gst_libdir/libgstjpeg.so
%endif

%if_enabled ladspa
%files -n %gst_plugins-ladspa
%_gst_libdir/libgstladspa.so
%endif

%if_enabled libcaca
%files -n %gst_plugins-caca
%_gst_libdir/libgstcacasink.so
%endif

%if_enabled oss
%files -n %gst_plugins-oss
%_gst_libdir/libgstossaudio.so
%endif

%if_enabled libpng
%files -n %gst_plugins-png
%_gst_libdir/libgstpng.so
%endif

%if_enabled shout2
%files -n %gst_plugins-shout2
%_gst_libdir/libgstshout2.so
%endif

%if_enabled speex
%files -n %gst_plugins-speex
%_gst_libdir/libgstspeex.so
%endif

%if_enabled taglib
%files -n %gst_plugins-taglib
%_gst_libdir/libgsttaglib.so
%endif

%if_enabled x
%files -n %gst_plugins-ximagesrc
%_gst_libdir/libgstximagesrc.so
%endif

%changelog
* Mon Sep 10 2007 Igor Zubkov <icesik@altlinux.org> 0.10.6-alt1
- 0.10.5 -> 0.10.6

* Mon Apr 23 2007 Igor Zubkov <icesik@altlinux.org> 0.10.5-alt5
- enable ladspa support

* Mon Apr 23 2007 Igor Zubkov <icesik@altlinux.org> 0.10.5-alt4
- enable libcaca support

* Tue Mar 13 2007 Igor Zubkov <icesik@altlinux.org> 0.10.5-alt3
- rebuild with libFLAC.so.8

* Mon Feb 26 2007 Igor Zubkov <icesik@altlinux.org> 0.10.5-alt2
- add patch to build with/without new flac 1.1.3 (closes #10940)

* Wed Feb 21 2007 Igor Zubkov <icesik@altlinux.org> 0.10.5-alt1
- 0.10.4 -> 0.10.5

* Mon Dec 25 2006 Igor Zubkov <icesik@altlinux.org> 0.10.4-alt4
- rebuild with new dbus

* Mon Dec 18 2006 Igor Zubkov <icesik@altlinux.org> 0.10.4-alt3
- disable libcaca support

* Wed Aug 30 2006 Mikhail Zabaluev <mhz@altlinux.ru> 0.10.4-alt2
- Removed obsolete schema install scripts for gst-plugins-gconf

* Thu Aug 24 2006 Mikhail Zabaluev <mhz@altlinux.ru> 0.10.4-alt1
- Release 0.10.4
- Require libiec61883-devel and libraw1394 >= 1.1.0 for dv1394

* Sat Jun 03 2006 Mikhail Zabaluev <mhz@altlinux.ru> 0.10.3-alt2
- Fixed a dependency in gst-plugins-good-all

* Thu Jun 01 2006 Mikhail Zabaluev <mhz@altlinux.ru> 0.10.3-alt1
- Release 0.10.3
- Added icydemux to the container format plugins
- Added annodex, gdk_pixbuf, hal, taglib, ximagesrc plugins
- Disabled check by default due to a failing icydemux test

* Wed Apr 19 2006 Mikhail Zabaluev <mhz@altlinux.ru> 0.10.2-alt2
- Do configure ladspa, the configure flag had a typo
- The ladspa plugin is never built anyway, disabled it

* Mon Feb 20 2006 Mikhail Zabaluev <mhz@altlinux.ru> 0.10.2-alt1
- 0.10.2
- Renamed debug to test
- Renamed effects to filters, effects-extra to effects
- Added cdio
- Added tags package to contain apetag and id3demux,
  the latter moved from audio-formats

* Wed Jan 18 2006 Mikhail Zabaluev <mhz@altlinux.ru> 0.10.1-alt1
- 0.10.1
- Added id3demux to audio-formats

* Wed Dec 28 2005 Mikhail Zabaluev <mhz@altlinux.ru> 0.10.0-alt2
- Corrected dependencies to install against updated versions of
  gstreamer and gst-plugins-base

* Fri Dec 16 2005 Mikhail Zabaluev <mhz@altlinux.ru> 0.10.0-alt1
- Initial release for Sisyphus of plugins as split in 0.9
